Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.model
Class SelectionTrackingActionListener

    java.lang.Object
      org.springframework.faces.model.SelectionTrackingActionListener

All Implemented Interfaces:
  java.util.EventListener, javax.faces.event.ActionListener, javax.faces.event.FacesListener

    public class SelectionTrackingActionListener

extends java.lang.Object
implements javax.faces.event.ActionListener

Custom `ActionListener` that inspects the `UIComponent` that signaled the current `ActionEvent` to determine whether it is a child of any iterator type of component (such as `UIData`) that uses a `SelectionAware` data model implementation. If a containing SelectionAware model is found, the row containing the event-signaling component instance will be selected. This enables convenient access to the selected model state at any time through EL expressions such as #{model.selectedRow.id} without having to rely on the whether or not the current row index is pointing to the desired row as it would need to be to use an expression such as #{model.rowData.id}

Author:
  Jeremy Grelle

Field Summary

Fields inherited from interface javax.faces.event.ActionListener
`TO_FLOW_DOCUMENT_ID_ATTR_NAME`

Constructor Summary
`SelectionTrackingActionListener(javax.faces.event.ActionListener delegate)`

Method Summary
`void` | `processAction(javax.faces.event.ActionEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionTrackingActionListener

    public SelectionTrackingActionListener(javax.faces.event.ActionListener delegate)

Method Detail

### processAction

    public void processAction(javax.faces.event.ActionEvent event)
                       throws javax.faces.event.AbortProcessingException

  Specified by:
    `processAction` in interface `javax.faces.event.ActionListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD